MUTEX_LOCK_INTERRUPT(9)

NAME
mutex_lock_interruptible - acquire the mutex, interruptible

SYNOPSIS

int __sched mutex_lock_interruptible(struct mutex * lock);

ARGUMENTS

lock
    the mutex to be acquired

DESCRIPTION

Lock the mutex like mutex_lock, and return 0 if the mutex has been acquired or sleep until the mutex becomes available. If a signal arrives while waiting for the lock then this function returns -EINTR.

This function is similar to (but not equivalent to) down_interruptible.

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT